#include <gnome.h>
#define PACKAGE "gFoenix"
#define VERSION "0.1.0"
#define WAVECONVERTER "sox out.dat out.wav"
#define PLAYER "play out.wav"
#define DATA_PATH "./dat/*.dat"

#define SAMPLE_RATE           44100

#define FFT_THRESHOLD         0.5

#define DURATION              20      /* default duration in seconds */
#define SCALE_FACTOR          100000  /* 100000 => 2000 muHerz --> 200 Herz */
#define BASE_FREQ             440     /* base freqency (just testing) */

#define HASH_MARKS            20000
#define MAX_ARRAY_SIZE        100000
#define OVERFLOW_PROTECTION   100000




void
on_open1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_exit1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_about1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_button1_clicked                     (GtkButton       *button,
                                        gpointer         user_data);

void
on_button2_clicked                     (GtkButton       *button,
                                        gpointer         user_data);

void
on_button3_clicked                     (GtkButton       *button,
                                        gpointer         user_data);

/* nb_stuff*/
void store_filename(GtkFileSelection *selector, gpointer user_data);
int do_calc(void);

void
on_checkbutton1_toggled                (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_button4_clicked                     (GtkButton       *button,
                                        gpointer         user_data);

gboolean
on_pixmap1_button_press_event          (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

gboolean
on_pixmap1_button_press_event          (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);
